classification
Title: Fix Python versions in the table of magic numbers
Type: Stage: patch review
Components: Versions: Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington, pitrou, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-02-13 11:09 by serhiy.storchaka, last changed 2018-02-23 19:02 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 5658 merged serhiy.storchaka, 2018-02-13 11:11
PR 5820 merged miss-islington, 2018-02-22 20:27
Messages (5)
msg312115 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-02-13 11:09
All changes to the magic number in Lib/importlib/_bootstrap_external.py are attributed with 3.7a0. But they were made at different stages.

There is also inconsistency in specifying Python version for older changes. Some authors specify the first Python version after bumping the magic number (i.e. the version that was released with this magic number). Others specify the Python version after which the bumping was made. I think the former is correct.

The proposed PR fixes Python versions and adds issue numbers if known. I have tracked only changes in Python 3.x.
msg312153 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-02-14 02:29
Maybe we should simply delete this comment? I'm not sure how useful it is.
msg312161 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-02-14 07:05
I think it is useful to have such table somewhere. It give the impression about the history of bytecode and pyc format. There are third-party projects that try to support Python bytecode of different versions, they need such table. There is a simplified version of this table in PC/launcher.c, it is needed for suggesting the Python version by the magic number. And this table is just interesting for Python developers, especially if they made the change in the bytecode.
msg312593 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-02-22 20:26
New changeset 4af8fd561433826ac897c55e41a087a5c5dbacf3 by Serhiy Storchaka in branch 'master':
bpo-32838: Fix Python versions in the table of magic numbers. (#5658)
https://github.com/python/cpython/commit/4af8fd561433826ac897c55e41a087a5c5dbacf3
msg312665 - (view) Author: miss-islington (miss-islington) Date: 2018-02-23 19:02
New changeset 8d9d4b57ae57baee4401cab6067ef22c0172661d by Miss Islington (bot) in branch '3.7':
bpo-32838: Fix Python versions in the table of magic numbers. (GH-5658)
https://github.com/python/cpython/commit/8d9d4b57ae57baee4401cab6067ef22c0172661d
History
Date User Action Args
2018-02-23 19:02:00miss-islingtonsetnosy: + miss-islington
messages: + msg312665
2018-02-22 20:27:35miss-islingtonsetpull_requests: + pull_request5595
2018-02-22 20:26:25serhiy.storchakasetmessages: + msg312593
2018-02-14 07:05:54serhiy.storchakasetmessages: + msg312161
2018-02-14 02:29:28benjamin.petersonsetmessages: + msg312153
2018-02-13 11:11:41serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5460
2018-02-13 11:09:44serhiy.storchakacreate